--
-- CropDestruction Registration
--
--
-- @author GIANTS Software
-- @date 15/10/2016
--
-- Copyright (C) GIANTS Software GmbH, Confidential, All Rights Reserved.

RegistrationHelper_FRM01_CD = {};
RegistrationHelper_FRM01_CD.isLoaded = false;

if SpecializationUtil.specializations['cropDestruction'] == nil then
    SpecializationUtil.registerSpecialization('cropDestruction', 'CropDestruction', g_currentModDirectory .. 'CropDestruction.lua')
    RegistrationHelper_FRM01_CD.isLoaded = false;
end

function RegistrationHelper_FRM01_CD:loadMap(name)
    if not g_currentMission.registrationHelper_FRM01_CD_isLoaded then
        if not RegistrationHelper_FRM01_CD.isLoaded then
            self:register();
        end
        g_currentMission.registrationHelper_FRM01_CD_isLoaded = true
    else
        print("Error: ForRealModule01_CropDestruction has been loaded already!");
    end
end

function RegistrationHelper_FRM01_CD:deleteMap()
    g_currentMission.registrationHelper_FRM01_CD_isLoaded = nil
end

function RegistrationHelper_FRM01_CD:keyEvent(unicode, sym, modifier, isDown)
end

function RegistrationHelper_FRM01_CD:mouseEvent(posX, posY, isDown, isUp, button)
end

function RegistrationHelper_FRM01_CD:update(dt)
end

function RegistrationHelper_FRM01_CD:draw()
end

function RegistrationHelper_FRM01_CD:register()
    for _, vehicle in pairs(VehicleTypeUtil.vehicleTypes) do
        if vehicle ~= nil then
            table.insert(vehicle.specializations, SpecializationUtil.getSpecialization("cropDestruction"))
        end
    end
    RegistrationHelper_FRM01_CD.isLoaded = true
end

addModEventListener(RegistrationHelper_FRM01_CD)